#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "usart.h"
#include "string.h"
#include "Helper.h"
#include "iap.h"
/* 获取当前程序是App还是Boot  */
/*
请求格式 包起始标识+CMD0x01_Request_RunningAtWhere+[0x00+0x00]+包尾标识
返回格式 包起始标识+CMD0x01_Request_RunningAtWhere+[0x00+0x01]+1Byte的RunningAtWhere+包尾标识.  RunningAtWhere 约定：RUNNING_AT_APP 0x77，RUNNING_AT_BOOT 0x11
*/
void CMD0x04_Request_ReadUpdateTimeStamp_process(u8 *pData,u16 dataLen,u8 bIsContentBitInverted_Recv,u8 bIsContentBitInverted_SendBack)
{
	u8 dataBytes=Version_DateLength;

	struct BootWriteFlashInfoStruct bootWriteFlashInfo;
	iap_ReadBootWriteInfo(&bootWriteFlashInfo);
	memcpy(USART_WR_BUF,bootWriteFlashInfo.UpdateTimeStamp,dataBytes);
	USART6_Send(CMD0x04_Request_ReadUpdateTimeStamp,dataBytes,bIsContentBitInverted_SendBack);	
}
